org.keycloak.models.mongo.keycloak.adapters

## Class OAuthClientAdapter

- java.lang.Object
- - org.keycloak.models.mongo.keycloak.adapters.AbstractMongoAdapter<T>
  - - org.keycloak.models.mongo.keycloak.adapters.ClientAdapter<MongoOAuthClientEntity>
    - - org.keycloak.models.mongo.keycloak.adapters.OAuthClientAdapter

- All Implemented Interfaces:
    ClientModel, OAuthClientModel

      public class OAuthClientAdapter
      extends ClientAdapter<MongoOAuthClientEntity>
      implements OAuthClientModel

  Author:
    Marek Posolda

- - ### Field Summary

    - ### Fields inherited from class org.keycloak.models.mongo.keycloak.adapters.ClientAdapter

      `clientEntity`

    - ### Fields inherited from class org.keycloak.models.mongo.keycloak.adapters.AbstractMongoAdapter

      `invocationContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OAuthClientAdapter(RealmAdapter realm, MongoOAuthClientEntity oauthClientEntity, MongoStoreInvocationContext invContext)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isDirectGrantsOnly()`
    `void` | `setClientId(String id)`
    `void` | `setDirectGrantsOnly(boolean flag)`

    - ### Methods inherited from class org.keycloak.models.mongo.keycloak.adapters.ClientAdapter

      `addRedirectUri, addWebOrigin, getActiveUserSessions, getAllowedClaimsMask, getClientId, getId, getMongoEntity, getMongoEntityAsClient, getNotBefore, getRealm, getRedirectUris, getSecret, getUserSessions, getWebOrigins, isEnabled, isPublicClient, removeRedirectUri, removeWebOrigin, setAllowedClaimsMask, setEnabled, setNotBefore, setPublicClient, setRedirectUris, setSecret, setWebOrigins, validateSecret`

    - ### Methods inherited from class org.keycloak.models.mongo.keycloak.adapters.AbstractMongoAdapter

      `equals, getMongoStore, hashCode, updateMongoEntity`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.models.ClientModel

      `addRedirectUri, addWebOrigin, getActiveUserSessions, getAllowedClaimsMask, getClientId, getId, getNotBefore, getRealm, getRedirectUris, getSecret, getUserSessions, getWebOrigins, isEnabled, isPublicClient, removeRedirectUri, removeWebOrigin, setAllowedClaimsMask, setEnabled, setNotBefore, setPublicClient, setRedirectUris, setSecret, setWebOrigins, validateSecret`

- - ### Constructor Detail

    - #### OAuthClientAdapter

          public OAuthClientAdapter(RealmAdapter realm,
                            MongoOAuthClientEntity oauthClientEntity,
                            MongoStoreInvocationContext invContext)

  - ### Method Detail

    - #### setClientId

          public void setClientId(String id)

      Specified by:
        `setClientId` in interface `OAuthClientModel`

    - #### isDirectGrantsOnly

          public boolean isDirectGrantsOnly()

      Specified by:
        `isDirectGrantsOnly` in interface `ClientModel`

    - #### setDirectGrantsOnly

          public void setDirectGrantsOnly(boolean flag)

      Specified by:
        `setDirectGrantsOnly` in interface `ClientModel`

Copyright © 2014. All Rights Reserved.